
/*
 * This software is Copyright (c) 1989, 1990, 1991 by Patrick J. Wolfe.
 *
 * Permission is hereby granted to copy, distribute or otherwise 
 * use any part of this package as long as you do not try to make 
 * money from it or pretend that you wrote it.  This copyright 
 * notice must be maintained in any copy made.
 *
 * Use of this software constitutes acceptance for use in an AS IS 
 * condition. There are NO warranties with regard to this software.  
 * In no event shall the author be liable for any damages whatsoever 
 * arising out of or in connection with the use or performance of this 
 * software.  Any use of this software is at the user's own risk.
 *
 * If you make modifications to this software that you feel 
 * increases it usefulness for the rest of the community, please 
 * email the changes, enhancements, bug fixes as well as any and 
 * all ideas to me. This software is going to be maintained and 
 * enhanced as deemed necessary by the community.
 *              
 *              Patrick J. Wolfe
 *              uunet!uiucuxc!kailand!pwolfe
 *              pwolfe@kailand.kai.com
 */

/*************************************************************
 * Modifications made by aknight to add definitions for escape
 * functions and Sun R function keys, also wiped out sections
 * for SYSVcurses, VT120, VT220
 ************************************************************/
#ifndef SYSVcurses
/* System V curses key names and codes returned by getch */
#define KEY_DOWN        0402
#define KEY_UP          0403
#define KEY_LEFT        0404
#define KEY_RIGHT       0405
#define KEY_BACKSPACE   0407
#endif /* NOT SYSVcurses */

/* ascii control codes */
#define ControlA	001
#define ControlB	002
#define ControlC	003
#define ControlD	004
#define ControlE	005
#define ControlF	006
#define ControlG	007
#define ControlH	010
#define BackSpace	010
#define ControlI	011
#define Tab		011
#define ControlJ	012
#define LineFeed	012
#define ControlK	013
#define ControlL	014
#define ControlM	015
#define Return		015
#define ControlN	016
#define ControlO	017
#define ControlP	020
#define ControlQ	021
#define ControlR	022
#define ControlS	023
#define ControlT	024
#define ControlU	025
#define ControlV	026
#define ControlW	027
#define ControlX	030
#define ControlY	031
#define ControlZ	032
#define Escape		033
#define Control[	033
#define Delete		0177
#define Del		0177
#define CSI		0233

/* added by aknight */

#define EscapeD		1001
#define EscapeF		1002
#define EscapeB		1003
#define EscapeDEL	1004
#define EscapeM		1005
#define EscapeC		1006
#define EscapeU		1007
#define EscapeL		1008

#define Sun_R1		1208
#define Sun_R2		1209
#define Sun_R3		1210
#define Sun_R4		1211
#define Sun_R5		1212
#define Sun_R6		1213
#define Sun_R7		1214
#define Sun_R8		1215
#define Sun_R9		1216
#define Sun_R10		1217
#define Sun_R11		1218
#define Sun_R12		1219
#define Sun_R13		1220
#define Sun_R14		1221
#define Sun_R15		1222
